/************************************************************************/
/*																		*/
/*	LED.h	--	Declaration for LED library 	  			  			*/
/*																		*/
/************************************************************************/
/*	Author:		Eric Marsh												*/
/*	Copyright 2016, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*	This file declares the PmodLED library functions and the constants	*/
/*	involved.															*/
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	07/21/2016(EricM): created											*/
/*																		*/
/************************************************************************/
#if !defined(LED_H)
#define LED_H
#include <WProgram.h>
/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */


class LED {

	private: 
		int LD0;
		int LD1;
		int LD2;
		int LD3;
		
	public:
		LED();
		void begin(int LED0, int LED1, int LED2, int LED3);
		bool Blink(int LED, int waitTime = 100);
		bool TurnOn(int LED);
		bool TurnOff(int LED);
		bool TurnAllOn();
		bool TurnAllOff();
		int GetLED(int LED);
};

#endif
