/************************************************************************/
/*				        	                        */
/*	  PmodLED Demo Project 		                                */
/*					    	                        */
/************************************************************************/
/*	Author: Eric Marsh					        */
/*	Copyright 2016, Digilent Inc.					*/
/************************************************************************/
/*  File Description: 			             		        */
/*					                        	*/
/* This file implements a simple demo application that demonstrates     */
/* how to setup and use the PmodLED.				        */
/*									*/
/*	Functionality:							*/
/*									*/
/* In the setup() function, the PmodLED is initialized through          */
/* calling the LED library.                                             */
/*                                                                      */
/*                                                                      */
/* In the loop() function, the application repeatedly tells the         */
/* microcontroller to tell the PmodLED to do a wave like pattern.	*/
/*					       	                        */
/*	Required Hardware:		                                */
/*	  1. PIC32 based Microcontroller    	                        */
/*	  2. PmodLED                                             	*/
/*			                                                */
/************************************************************************/
/*  Revision History:			        			*/
/*					                        	*/
/*	07/27/2016(EricM): Created	       			        */
/*                                                                      */
/*					      	                        */
/************************************************************************/

/* -------------------------------------------------------------------- */
/*		        Include File Definitions                     	*/
/* -------------------------------------------------------------------- */
#include <LED.h>
#include <WProgram.h>

/* -------------------------------------------------------------------- */
/*		            Global Variables                     	*/
/* -------------------------------------------------------------------- */
LED myLED;

void setup()
{
  // Initialize pmodLED. The begin function takes the 4 pin #'s of each LED as parameters.
  myLED.begin(32, 33, 34, 35);
}

void loop()
{
  Wave();
}

// lights up LED's in a wave pattern
void Wave()
{
  for(int i = 0; i < 4; i++){
    // turn LED number i on and off
    myLED.Blink(i);
  }
  for(int i = 4; i >= 0; i--){
    // turn LED number i on and off
    myLED.Blink(i);
  }
}